import { DateRangeType, DayOfWeek } from '@fluentui/date-time-utilities';
import { IProcessedStyleSet } from '@uifabric/merge-styles';
import Vue from 'vue';
import { ICalendarDayProps, ICalendarMonthProps, ICalendarNavigationIcons, ICalendarStyleProps, ICalendarStyles } from '.';
declare const _default: import("vue/types/vue").ExtendedVue<Vue, {
    selectedDate: Date | undefined;
    navigatedMonth: Date;
    navigatedDay: Date;
    isMonthPickerVisibleInternal: boolean | undefined;
    isDayPickerVisibleInternal: boolean | undefined;
}, {
    onNavigateDayDate(date: Date, focusOnNavigatedDay: boolean): void;
    onDateSelected(date: Date, selectedDateRangeArray?: Date[] | undefined): void;
    onGoToToday(): void;
    onHeaderSelect(): void;
    toggleDayMonthPickerVisibility(): void;
}, {
    classNames: IProcessedStyleSet<ICalendarStyles>;
    internalShowMonthPickerAsOverlay: boolean | undefined;
    monthPickerOnly: boolean | undefined;
    overlaidWithButton: boolean | undefined;
    todayDateString: string;
    selectedDateString: string;
    selectionAndTodayString: string;
    goTodayEnabled: boolean;
}, {
    styles?: import("@uifabric-vue/utilities").IStyleFunctionOrObject<ICalendarStyleProps, ICalendarStyles> | undefined;
    theme?: import("@fluentui/style-utilities").ITheme | undefined;
    className?: string | undefined;
    strings?: import("@fluentui/date-time-utilities").ICalendarStrings | undefined;
    onSelectDate?: void | ((date: Date, selectedDateRangeArray?: Date[] | undefined) => void);
    navigationIcons?: ICalendarNavigationIcons | undefined;
    today?: Date | undefined;
    dateTimeFormatter?: import("@fluentui/date-time-utilities").IDateFormatting | undefined;
    minDate?: Date | undefined;
    maxDate?: Date | undefined;
    highlightCurrentMonth?: boolean | undefined;
    highlightSelectedMonth?: boolean | undefined;
    allFocusable?: boolean | undefined;
    calendarDayProps?: Partial<ICalendarDayProps> | undefined;
    calendarMonthProps?: Partial<ICalendarMonthProps> | undefined;
    onDismiss?: void | (() => void);
    value?: Date | undefined;
    dateRangeType?: DateRangeType | undefined;
    firstDayOfWeek?: DayOfWeek | undefined;
    firstWeekOfYear?: import("@fluentui/date-time-utilities").FirstWeekOfYear | undefined;
    isMonthPickerVisible?: boolean | undefined;
    isDayPickerVisible?: boolean | undefined;
    showMonthPickerAsOverlay?: boolean | undefined;
    showGoToToday?: boolean | undefined;
    showWeekNumbers?: boolean | undefined;
    restrictedDates?: Date[] | undefined;
    showSixWeeksByDefault?: boolean | undefined;
    workWeekDays?: DayOfWeek[] | undefined;
    showCloseButton?: boolean | undefined;
}>;
export default _default;
//# sourceMappingURL=Calendar.base.d.ts.map