import { IProcessedStyleSet } from '@fluentui/style-utilities';
import Vue from 'vue';
import { IDayInfo } from './CalendarDayGrid.base';
import { ICalendarDayGridProps, ICalendarDayGridStyles } from './CalendarDayGrid.types';
export interface ICalendarDayMonthHeaderRowProps extends ICalendarDayGridProps {
    weeks: IDayInfo[][];
    classNames: IProcessedStyleSet<ICalendarDayGridStyles>;
}
export declare const CalendarMonthHeaderRow: import("vue/types/vue").ExtendedVue<Vue, {}, {}, {}, {
    styles?: import("@uifabric-vue/utilities").IStyleFunctionOrObject<import("./CalendarDayGrid.types").ICalendarDayGridStyleProps, ICalendarDayGridStyles> | undefined;
    theme?: import("@fluentui/style-utilities").ITheme | undefined;
    className?: string | undefined;
    classNames: IProcessedStyleSet<ICalendarDayGridStyles>;
    strings: import("@fluentui/date-time-utilities").ICalendarStrings;
    selectedDate: Date;
    navigatedDate: Date;
    onSelectDate?: void | ((date: Date, selectedDateRangeArray?: Date[] | undefined) => void);
    onNavigateDate?: void | ((date: Date, focusOnNavigatedDay: boolean) => void);
    today?: Date | undefined;
    dateTimeFormatter: import("@fluentui/date-time-utilities").IDateFormatting;
    minDate?: Date | undefined;
    maxDate?: Date | undefined;
    allFocusable?: boolean | undefined;
    animationDirection?: import("..").AnimationDirection | undefined;
    onDismiss?: void | (() => void);
    dateRangeType: import("@fluentui/date-time-utilities").DateRangeType;
    firstDayOfWeek: import("@fluentui/date-time-utilities").DayOfWeek;
    firstWeekOfYear: import("@fluentui/date-time-utilities").FirstWeekOfYear;
    showWeekNumbers?: boolean | undefined;
    restrictedDates?: Date[] | undefined;
    workWeekDays?: import("@fluentui/date-time-utilities").DayOfWeek[] | undefined;
    showCloseButton?: boolean | undefined;
    daysToSelectInDayView?: number | undefined;
    customDayCellRef?: void | ((element: HTMLElement, date: Date, classNames: IProcessedStyleSet<ICalendarDayGridStyles>) => void);
    weeksToShow?: number | undefined;
    labelledBy?: string | undefined;
    lightenDaysOutsideNavigatedMonth?: boolean | undefined;
    getMarkedDays?: Date[] | ((startingDate: Date, endingDate: Date) => Date[]) | undefined;
    markedDays?: Date[] | undefined;
    weeks: IDayInfo[][];
}>;
//# sourceMappingURL=CalendarMonthHeaderRow.d.ts.map