import { IProcessedStyleSet } from '@fluentui/style-utilities';
import Vue from 'vue';
import { IIconProps } from '../Icon';
import { ICheckboxStyles } from './Checkbox.types';
export declare const CheckboxBase: import("vue/types/vue").ExtendedVue<Vue, {
    internalValue: boolean | undefined;
    isIndeterminate: boolean | undefined;
}, {
    onInput(): void;
}, {
    classNames: IProcessedStyleSet<ICheckboxStyles>;
}, {
    name?: string | undefined;
    styles?: import("@uifabric-vue/utilities").IStyleFunctionOrObject<import("./Checkbox.types").ICheckboxStyleProps, ICheckboxStyles> | undefined;
    theme?: import("@uifabric/styling").ITheme | undefined;
    className?: string | undefined;
    label?: string | undefined;
    title?: string | undefined;
    disabled?: boolean | undefined;
    id?: string | undefined;
    ariaLabel?: string | undefined;
    required?: boolean | undefined;
    checked?: boolean | undefined;
    defaultChecked?: boolean | undefined;
    inputProps?: any;
    boxSide?: "start" | "end" | undefined;
    ariaLabelledBy?: string | undefined;
    ariaDescribedBy?: string | undefined;
    ariaPositionInSet?: number | undefined;
    ariaSetSize?: number | undefined;
    checkmarkIconProps?: IIconProps | undefined;
    indeterminate?: boolean | undefined;
    defaultIndeterminate?: boolean | undefined;
}>;
//# sourceMappingURL=Checkbox.base.d.ts.map