import { IProcessedStyleSet } from '@fluentui/style-utilities';
import Vue from 'vue';
import { IBreadcrumbItem, IBreadcrumbStyles } from './Breadcrumb.types';
export declare const BreadcrumbBase: import("vue/types/vue").ExtendedVue<Vue, unknown, {
    onBreadcrumbClicked(event: MouseEvent, item: IBreadcrumbItem): void;
}, {
    classNames: IProcessedStyleSet<IBreadcrumbStyles>;
}, {
    styles?: import("@uifabric-vue/utilities").IStyleFunctionOrObject<import("./Breadcrumb.types").IBreadcrumbStyleProps, IBreadcrumbStyles> | undefined;
    theme?: import("@uifabric/styling").ITheme | undefined;
    className?: string | undefined;
    ariaLabel?: string | undefined;
    items: IBreadcrumbItem[];
    maxDisplayedItems?: number | undefined;
    onReduceData?: ((data: import("./Breadcrumb.types").IBreadcrumbData) => import("./Breadcrumb.types").IBreadcrumbData | undefined) | import("./Breadcrumb.types").IBreadcrumbData | undefined;
    onGrowData?: import("./Breadcrumb.types").IBreadcrumbData | ((data: import("./Breadcrumb.types").IBreadcrumbData) => import("./Breadcrumb.types").IBreadcrumbData | undefined) | undefined;
    overflowAriaLabel?: string | undefined;
    overflowIndex?: number | undefined;
    tooltipHostProps?: import("../Tooltip").ITooltipHostProps | undefined;
}>;
//# sourceMappingURL=Breadcrumb.base.d.ts.map