import { IProcessedStyleSet } from '@fluentui/style-utilities';
import Vue from 'vue';
import { ILayerStyleProps, ILayerStyles } from './Layer.types';
export declare const LayerBase: import("vue/types/vue").ExtendedVue<Vue, {
    marker: null;
    hasTarget: boolean;
}, {
    createElement(): void;
    getHost(): Node | undefined;
}, {
    classNames: IProcessedStyleSet<ILayerStyles>;
}, {
    styles?: import("@uifabric-vue/utilities").IStyleFunctionOrObject<ILayerStyleProps, ILayerStyles> | undefined;
    theme?: import("@uifabric/styling").ITheme | undefined;
    className?: string | undefined;
    onLayerMounted?: void | (() => void);
    onLayerDidMount?: void | (() => void);
    onLayerWillUnmount?: void | (() => void);
    hostId?: string | undefined;
    eventBubblingEnabled?: boolean | undefined;
    insertFirst?: boolean | undefined;
}>;
//# sourceMappingURL=Layer.base.d.ts.map