import { IProcessedStyleSet } from '@fluentui/style-utilities';
import Vue from 'vue';
import { ISearchBoxStyleProps } from '.';
import { IIconProps } from '../Icon';
import { ISearchBoxStyles } from './SearchBox.types';
export declare const SearchBoxBase: import("vue/types/vue").ExtendedVue<Vue, {
    hasFocus: boolean;
    internalValue: string;
}, {
    onKeyDown(ev: KeyboardEvent): void;
    submit(): void;
    onEscape(e: KeyboardEvent): void;
    clearInput(e?: MouseEvent | undefined): void;
    onFocus(e: FocusEvent): void;
    onBlur(e: FocusEvent): void;
    onInput(e: InputEvent): void;
}, {
    classNames: IProcessedStyleSet<ISearchBoxStyles>;
}, {
    styles?: import("@uifabric-vue/utilities").IStyleFunctionOrObject<ISearchBoxStyleProps, ISearchBoxStyles> | undefined;
    theme?: import("@fluentui/style-utilities").ITheme | undefined;
    className?: string | undefined;
    disabled?: boolean | undefined;
    role?: string | undefined;
    value?: string | undefined;
    ariaLabel?: string | undefined;
    placeholder?: string | undefined;
    defaultValue?: string | undefined;
    clearButtonProps?: import("../Button").IButtonProps | undefined;
    iconProps?: Pick<IIconProps, "styles" | "theme" | "iconName" | "imageProps" | "imageErrorAs"> | undefined;
    underlined?: boolean | undefined;
    disableAnimation?: boolean | undefined;
    showIcon?: boolean | undefined;
}>;
//# sourceMappingURL=SearchBox.base.d.ts.map